Build Upload

Uploads a build by providing a buildinfo JSON file. All build modules must have the build.name and build.number properties set as well as the correct SHA1 and MD5 to be properly linked in the build info.

Security: Requires a privileged user. From version 6.6, requires deploy permission for the build, and delete permission for overriding existing build info artifact.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Limits the response to builds contained in the specified project.

Body Params

Build info JSON file

Build info JSON structure

string

Build Info schema version

string

Build name

string

Build number

string
enum

Build type

Allowed:
buildAgent
object
agent
object
date-time

Build start time in the format of yyyy-MM-dd'T'HH:mm:ss.SSSZ

string
int64

Build duration in milliseconds

string

Artifactory principal (the Artifactory user used for deployment)

string

CI server URL

vcs
array of objects
vcs
licenseControl
object
buildRetention
object
modules
array of objects
modules
issues
object
properties
object

Environment variables and properties collected from the CI server

Responses
200

Build uploaded successfully

400

Bad Request - The request body is malformed or a required parameter is missing.

401

Bad Credentials - Authentication failed. A valid token is required.

403

Permission Denied - The user does not have deploy permission for the build, and delete permission for overriding existing build info artifact.

Language
Credentials
URL
LoadingLoading…